<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>Manufacturing Order Picking Slip</title>
    <link rel=stylesheet href="{{ url_for('static', filename='css/normalize.css') }}" />
    <link rel=stylesheet href="{{ url_for('static', filename='css/paper.css') }}" />
    <link rel=stylesheet href="{{ url_for('static', filename='css/bootstrap.css') }}" />
    <style>
        @page {
            size: letter landscape;
            margin-top: 3mm;
            margin-bottom: 3mm;
        }
    </style>
</head>
<body class="letter landscape">
    <section class="sheet padding-10mm">
        <div class="row">
            <div class="col-4">
                <p><b>Manufacturing Order No: </b></p>
            </div>
            <div class="col-8">
                <p>{{ record.manufacturing_order_no }}</p>
            </div>
        </div>
        <div class="row">
            <div class="col-4">
                <p><b>Product Code: </b></p>
            </div>
            <div class="col-8">
                <p>{{ formula.product_code }}</p>
            </div>
        </div>
        <div class="row">
            <div class="col-4">
                <p><b>Description/Variation: </b></p>
            </div>
            <div class="col-8">
                <p>{{ formula.description }}<br />{{ formula.get('variant', '') }}</p>
            </div>
        </div>
        <div class="row">
            <div class="col-4">
                <p><b>Batch Size: </b></p>
            </div>
            <div class="col-8">
                <p>{{ record.batch_size }}</p>
            </div>
        </div>
        <hr />
        {% for k, category in rows.items() %}
        <p class="mt-4"><b>{{ k|normalize|upper }}</b></p>
        <table class="table table-bordered">
            <thead>
                <th class="align-middle">Item Code</th>
                <th class="align-middle">Material Name</th>
                <th class="align-middle">Default Unit</th>
                <th class="align-middle">Used</th>
                <th class="align-middle">QC Nos</th>
                <th class="align-middle">Lot Nos</th>
            </thead>
            <tbody>
                {% for row in category %}
                    {% if row.qc_nos|length > 0 %}
                        {% for qc_no in row.qc_nos %}
                            <tr>
                            {% if loop.first %}
                                <td>{{ row.item_code }}</td>
                                <td>{{ row.description }}</td>
                                <td>{{ row.default_unit }}</td>
                                <td>{{ row.cumulative_quantity }}</td>
                                <td>{{ qc_no }}</td>
                                <td></td>
                            {% else %}
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td>{{ qc_no }}</td>
                                <td></td>
                            {% endif %}
                            </tr>
                        {% endfor %}
                    {% else %}
                        <tr>
                            <td>{{ row.item_code }}</td>
                            <td>{{ row.description }}</td>
                            <td>{{ row.default_unit }}</td>
                            <td>{{ row.cumulative_quantity }}</td>
                            <td></td>
                            <td></td>
                        </tr>
                    {% endif %}
                {% endfor %}
            </tbody>
        </table>
        {% endfor %}
    </section>
</body>
</html>
